Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.scripting.utils
Class WLSTInterpreter

    java.lang.Object
      org.python.util.PythonInterpreter
          org.python.util.InteractiveInterpreter
              weblogic.management.scripting.utils.WLSTInterpreter

    public class WLSTInterpreter

extends org.python.util.InteractiveInterpreter

This is a wrapper class to the Jython interpreter which adds weblogic specific extensions such that one can call this from a java client. This is when user would like to use WLST in EmbeddedMode

For more information see http://www.jython.org/docs/javadoc/org/python/util/InteractiveInterpreter.html

Field Summary

Fields inherited from class org.python.util.InteractiveInterpreter
`buffer, filename`

Fields inherited from class org.python.util.PythonInterpreter
`cflags, systemState`

Constructor Summary
`WLSTInterpreter()` Contructs the WLSTInterpreter with weblogic specific extensions

Method Summary
`void` | `exec(String string)` overwrite this method to allow recording when using Embedded mode
`void` | `execfile(String string)` overwrite this method to allow recording when using Embedded mode

Methods inherited from class org.python.util.InteractiveInterpreter
`interrupt, resetbuffer, runcode, runsource, runsource, runsource, showexception, write`

Methods inherited from class org.python.util.PythonInterpreter
`cleanup, eval, exec, execfile, execfile, get, get, getLocals, initialize, set, set, setErr, setErr, setErr, setLocals, setOut, setOut, setOut, setState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WLSTInterpreter

    public WLSTInterpreter()

  Contructs the WLSTInterpreter with weblogic specific extensions

Method Detail

### exec

    public void exec(String string)

  overwrite this method to allow recording when using Embedded mode

  Overrides:
    `exec` in class `org.python.util.PythonInterpreter`
  Parameters:
    `string` - String

### execfile

    public void execfile(String string)

  overwrite this method to allow recording when using Embedded mode

  Overrides:
    `execfile` in class `org.python.util.PythonInterpreter`
  Parameters:
    `string` - String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD